Create Mandate
Create a Mandate (i.e. pre-authorization) that will be used to make payments, without any existing/known sender account details (the end-user will be requested to input these in the mandate authorization UI).
Idempotency-Key header is required. This makes it safe to retry the request without re-triggering the underlying create Mandate operation. Any retries will return the same Mandate response as the first request using the same key.
Authorization: customer_token
mandate_details (object, required)
Details describing the Mandate.
payment_schedule (object, optional)
RESERVED FOR FUTURE USE - Specifies scheduled auto-payments with the specified amounts and dates.
transaction_limits (object, optional)
Specifies custom limits on payment transactions executed under the Mandate.
recipient_account (object, required)
Details on the recipient account of the payment (i.e. the Customer App’s receiving account).
sender (object, required)
Details on the sender of the payment.
user_details (array of objects, optional)
Additional information about the user’s identity, used for validating any end-user submitted identity details in the Finverse Link UI.
Response fields
The response is a Mandate object.
Refer to Mandate object data model in GET /mandates/{mandate_id}.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
A random key provided by the customer, per unique payment. The purpose for the Idempotency key is to allow safe retrying without the operation being performed multiple times.
Body
request body for creating mandate
Details on the mandate
Details on the recipient of the payment (i.e. the Customer App's receiving account)
Details on the sender of the payment
Customer-supplied attributes in key:value format. E.g. employer_name: Apple Inc
Response
Successful
Finverse Mandate ID (ULID)
Mandate status
AUTHORIZATION_REQUIRED, AUTHORIZING, PROCESSING, SUBMITTED, SUCCEEDED, FAILED, REVOKED, READY_TO_SUBMIT, CLOSED, CANCELLED Timestamp in ISO format (YYYY-MM-DDTHH:MM:SS.SSSZ)
Timestamp in ISO format (YYYY-MM-DDTHH:MM:SS.SSSZ)
Additional attributes of the mandate in key:value format (e.g. mandate_internal_id: 1234). It supports up to 10 key:value pairs, whereas the key and value supports up to 50 and 1000 characters respectively.
Finverse Payment Method ID (ULID)